## adns 1.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile - top-level Makefile
#  
#  This file is
#    Copyright (C) 1997-2000 Ian Jackson <ian@davenant.greenend.org.uk>
#
#  It is part of adns, which is
#    Copyright (C) 1997-2000 Ian Jackson <ian@davenant.greenend.org.uk>
#    Copyright (C) 1999-2000 Tony Finch <dot@dotat.at>
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

# Remember to change ADNS_VERSION_STRING in client/client.h too, and
# possibly library soname (MAJOR and MINOR in settings.make.in).
DISTVERSION=	1.1

srcdir=		.

ENABLE_DYNAMIC=	elf
ifeq ($(ENABLE_DYNAMIC),elf)
SUBDIRS_DYNAMIC=dynamic
else
SUBDIRS_DYNAMIC=
endif

SUBDIRS= src $(SUBDIRS_DYNAMIC) client regress

all install uninstall clean distclean mostlyclean maintainer-clean distprep:
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done
	$(MAKE) $@-here

all-here install-here uninstall-here distprep-here:	README

clean-here mostlyclean-here:
		rm -f *~ ./#*# core *.orig *.rej adns-*.tar.gz
		rm -rf dist_tmp

distclean-here maintainer-clean-here:	clean-here
		rm -f settings.make config.h config.cache config.log config.status

install-strip:
	$(MAKE) INSTALL_PROGRAM_FLAGS=-s

dist_tmp=dist_tmp/adns-$(DISTVERSION)
dist:			distprep
	rm -rf dist_tmp*
	mkdir dist_tmp $(dist_tmp)
	find \( -name CVS -o -name dist_tmp* \) -prune -o -type d -print | \
		sed -e 's#.*#mkdir -p $(dist_tmp)/&#' | sh
	find \( -name CVS -o -name dist_tmp* \) -prune -o -type f -print | \
		sed -e 's#.*#ln & $(dist_tmp)/&#' | sh
	$(MAKE) -C dist_tmp/adns-$(DISTVERSION) distclean
	cd dist_tmp && tar cf ../$(dist_tmp).tar `basename $(dist_tmp)`
	gzip -9 $(dist_tmp).tar
	mv $(dist_tmp).tar.gz .

check:			all
	$(MAKE) -C regress check

README:			README.html
	lynx -dump -number_links -cfg=/dev/null ./README.html >README.tmp
	mv -f README.tmp README

TAGS info dvi:
	# do nothing

## adns 1.4

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # Generated automatically from Makefile.in by configure.
-# Makefile - top-level Makefile
+# Makefile[.in] - top-level Makefile
 #  
-#  This file is
-#    Copyright (C) 1997-2000 Ian Jackson <ian@davenant.greenend.org.uk>
-#
-#  It is part of adns, which is
-#    Copyright (C) 1997-2000 Ian Jackson <ian@davenant.greenend.org.uk>
-#    Copyright (C) 1999-2000 Tony Finch <dot@dotat.at>
+#  This file is part of adns, which is
+#    Copyright (C) 1997-2000,2003,2006  Ian Jackson
+#    Copyright (C) 1999-2000,2003,2006  Tony Finch
+#    Copyright (C) 1991 Massachusetts Institute of Technology
+#  (See the file INSTALL for full details.)
 # 
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,7 +23,7 @@
 
 # Remember to change ADNS_VERSION_STRING in client/client.h too, and
 # possibly library soname (MAJOR and MINOR in settings.make.in).
-DISTVERSION=	1.1
+DISTVERSION=	1.4
 
 srcdir=		.
 
@@ -75,3 +74,5 @@
 
 TAGS info dvi:
 	# do nothing
+
+.PHONY: install #people with case-insensitive filesystems lose otherwise!

## adns 1.5.0~rc1-1~~squeeze~

=== debian/changelog ===
adns (1.5.0~rc1-1~~squeeze~) UNRELEASED; urgency=low

  * Build for squeeze.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 20 Oct 2014 16:15:59 +0100

adns (1.5.0~rc1-1~) UNRELEASED; urgency=medium

  * New upstream version.  Closes:#411263.
    There are now no changes to upstream code (other than .gitignore).
  * Remove vbuf__append_quoted1035 from symbols file.
  * Add missing Build-Dependency on `lynx' (for README).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 13:42:45 +0000

adns (1.5.0~rc0-0~exp1) experimental; urgency=low

  * New upstream version.  Closes: #392102, #384372.
  * Not using upstream tarball because it contains some junk.
  * Made myself the Maintainer.  Closes: #765629.
  * Delete spurious Makefile and src/config.h.
  * Clarify and improve package Descriptions.
  * In symbols file: ignore all symbols `adns__*' with a regex rule.
  * Remove obsolete emacs local variables stanza from debian/changelog.
  * Add dh and debian files to .gitignore.
  * Add -dbg package.  Closes: #489301.
  * Remove values from rcsids, to remove diffs from upstream.
  * Add ${misc:Depends} to quieten lintian (no change to the .debs).
  * Support dpkg-buildflags (ie, build with hardening).
  * Patch regress/Makefile.in to fix problem with .SECONDARY declaration.
  * Add test case output and common.make to `make [dist]clean'.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 20 Oct 2014 17:27:18 +0100

adns (1.4-2) unstable; urgency=low

  * Acknowledge NMU.
  * libadns1 'Recommends: libadns1-bin' to 'Suggests: adns-tools'; closes:
    #435593, #491513.
  * Document CVE-2008-1447 / CVE-2008-4100 poisoning vulnerability in
    README.Debian; closes: #492698.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 17 Sep 2008 10:37:36 -0400

adns (1.4-1.1) unstable; urgency=low

  * adns-tools Provides libadns1-bin.  Closes: #492145.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 24 Jul 2008 20:32:36 +0100

adns (1.4-1) unstable; urgency=low

  * New maintainer; closes: #485995.
  * Acknowledge NMU; closes: #361419.
  * Rename libadns1-bin to adns-tools; closes: #91298, #349797.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 15 Jun 2008 20:08:31 -0400

adns (1.4-0.1) unstable; urgency=low

  * New upstream version, in NMU by upstream, approved by Debian
    maintainer (closes: #361419).  Package is almost exactly upstream 1.4
    with .diff.gz from 1.1-4; all Debian changes outside debian/* have
    been addressed upstream.  Changes to debian/*:
    - provision of libadns.so by debian/rules is no longer needed as this
      is done by the upstream makefiles.
    - new utility adnsheloex moved out of -dev package into -bin.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Tue, 17 Oct 2006 17:45:15 +0100

adns (1.1-4) unstable; urgency=low

  * re-applied missing hack to make regression  tests work on hurd kernel
  * make sure hcommon.c is rebuild on debian builds

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 10 Dec 2005 07:04:27 +0100

adns (1.1-3) unstable; urgency=low

  * yet another architecture problem: sparc requires ENOTSOCK which is
    defined in regress/hcommon.c but not regress/hcommon.c.m4

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 09 Dec 2005 05:40:23 +0100

adns (1.1-2) unstable; urgency=low

  * added int castings for len arg pointer arithmetic to printf
  * removed some memleak details, cause this makes ALPHA and IA64 builds fail

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 09 Dec 2005 00:42:12 +0100

adns (1.1-1) unstable; urgency=low

  * new upstream version (Closes: #342491)
  * not all patches took over (debian/todo-patches.txt)
    works on sparc64 gcc4
  * new standards version (3.1 -> 3.6.1) no changes
  * thanks to NMUs

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 08 Dec 2005 01:20:49 +0100

adns (1.0-8.3) unstable; urgency=low

  * NMU.
  * Fix build failure when using gcc-3.4 (closes: #262511).

 -- Matthias Klose <doko@debian.org>  Tue,  3 May 2005 11:10:07 +0200

adns (1.0-8.2) unstable; urgency=low

  * NMU tweak
  * Change libadns1-dev's section to libdevel to get it aligned with
    the override file.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 31 Mar 2004 11:18:30 -0500

adns (1.0-8.1) unstable; urgency=low

  * NMU to fix a RC bug.
  * Build-depend on m4 to avoid problems with timestamp skew.
    (Closes: #236243)
  * Fix copyright file as per lintian (Author(s) -> Author, add reference
    to common-licenses copy of the GPL.)
  * Added versioned Build-Depends on debhelper (>= 3) because DH_COMPAT is
    set to 3.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 22 Mar 2004 16:35:25 -0800

adns (1.0-8) unstable; urgency=medium

  * thanks LaMont for the NMU, Closes bug: #152284 by adding
    build dependency on netbase for /etc/protocols

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 09 Sep 2002 04:58:56 +0200

adns (1.0-7.1) unstable; urgency=low
  * NMU
  * Add Build-Depends: netbase.  Closes: #152284.

 -- LaMont Jones <lamont@debian.org>  Wed,  4 Sep 2002 08:09:28 -0600

adns (1.0-7) unstable; urgency=low

  * allow 0 flags by adding adns_if_none and adns_qf_none (Closes Bug: #148318)
  * remove unsafe ldconfig and bump dh version to 3 (for dh_makeshlibs)

 -- Bernd Eckenfels <ecki@debian.org>  Fri,  5 Jul 2002 20:00:35 +0200

adns (1.0-6) unstable; urgency=medium

  * fixed another architecture regression problem (Closes bug: #101116)
  * added debhelper build depends
  * removed dh_suidregister
  * removed INSTALL doc file (make lintian and policy happy)

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 29 Jun 2001 06:30:29 +0200

adns (1.0-5) unstable; urgency=medium

  * some casting fixes
  * ignore the memleak test till it gets fixed (Closes bug: #87763, #81379)
  * a fix for shlibs dep of debhelper, seems to ignore libs by default,
    which according to Paul breaks other non glibc platforms.

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 27 Feb 2001 01:54:02 +0100

adns (1.0-4) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_OPTIONS += --dbg-package=libadns1-dbg

export XCFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS) \
		$(shell dpkg-buildflags --get CFLAGS)
export XLDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

build: build-stamp
build-stamp:
	dh build --before configure
	dh_auto_configure
	dh_auto_build
	make -C regress check
	dh build --after test
	touch $@

clean:
	dh clean --before dh_auto_clean
	-$(MAKE) distclean
	-$(MAKE) -C regress distclean
	rm -f regress/output-*
	dh clean --after dh_auto_clean

install: build
	dh install --before dh_auto_install
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	dh install --after dh_auto_install

binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## adns 1.5.0.1

=== debian/changelog ===
adns (1.5.0.1-1+security) unstable; urgency=medium

  * update

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 24 Jun 2021 14:12:31 +0800

adns (1.5.0~rc1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Support DEB_BUILD_OPTIONS=nocheck. Closes: #812229.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 31 Oct 2017 00:02:50 +0100

adns (1.5.0~rc1-1) unstable; urgency=medium

  * New upstream version.  Closes:#411263.
    There are now no changes to upstream code (other than .gitignore).
  * Remove vbuf__append_quoted1035 from symbols file.
  * Add missing Build-Dependency on `lynx' (for README).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 13:58:28 +0000

=== debian/control ===
Source: adns
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: debhelper (>= 7), netbase, m4, lynx
Standards-Version: 3.8.0
Homepage: http://www.chiark.greenend.org.uk/~ian/adns/

Package: libadns1-dev
Section: libdevel
Architecture: any
Depends: libadns1 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Conflicts: libadns0
Description: Asynchronous-capable DNS client library (development)
 adns is a resolver library for C (and C++) programs.  In contrast
 with many existing interfaces, it can be used in an asynchronous,
 non-blocking manner, and has a convenient interface which doesn't
 require the application to handle any DNS data formats.  Many queries
 can be handled simultaneously.
 .
 This package contains the development files used for C/C++ programs.

Package: adns-tools
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libadns0, libadns1-bin
Replaces: libadns1-bin
Provides: libadns1-bin
Description: Asynchronous-capable DNS client utilities
 adns is a DNS resolver.  In contrast with many existing interfaces,
 gethostbyname et al and libresolv, it can be used in an asynchronous,
 non-blocking manner.  Many queries can be handled simultaneously.
 .
 This package contains useful utilities for IP address resolving,
 fast bulk logfile processing, and testing.

Package: libadns1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: adns-tools
Description: Asynchronous-capable DNS client library
 adns is a resolver library for C (and C++) programs.  In contrast
 with the existing interfaces, gethostbyname et al and libresolv, it
 can be used in an asynchronous, non-blocking manner, and has a
 convenient interface which doesn't require the application to handle
 any DNS data formats.  Many queries can be handled simultaneously.
 .
 This package contains the runtime library.

Package: libadns1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libadns1 (= ${binary:Version}), ${misc:Depends}
Description: Asynchronous-capable DNS client library (debugging symbols)
 adns is a resolver library for C (and C++) programs.  In contrast
 with the existing interfaces, gethostbyname et al and libresolv, it
 can be used in an asynchronous, non-blocking manner, and has a
 convenient interface which doesn't require the application to handle
 any DNS data formats.  Many queries can be handled simultaneously.
 .
 This package contains the debugging symbols associated with libadns1,
 for debugging adns and programs that use it.

## adns 1.5.1

=== debian/changelog ===
adns (1.5.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    - (Previous upload Closes: #694763)
  * New upstream release (Closes: #772718)
  * Add watch file (Closes: #852877)
  * Convert to quilt package
  * Automatically create manpage during build (Closes: #85854)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Aug 2019 08:17:45 +0200

adns (1.5.0~rc1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/rules to use override targets instead of sequence
    control options for dh (Closes: #932525).

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 26 Aug 2019 00:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debhelper (>= 7), netbase, m4, lynx
+Build-Depends: debhelper (>= 7), netbase, m4, lynx, help2man
 Standards-Version: 3.8.0
 Homepage: http://www.chiark.greenend.org.uk/~ian/adns/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DH_OPTIONS += --dbg-package=libadns1-dbg

export XCFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS) \
		$(shell dpkg-buildflags --get CFLAGS)
export XLDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	-$(MAKE) distclean
	rm -f regress/output-*
	rm -f debian/*.1

override_dh_auto_build:
	dh_auto_build
override_dh_auto_install:
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	for i in `ls debian/tmp/usr/bin/`; do \
		LD_LIBRARY_PATH=debian/tmp/usr/lib/ help2man -N -n "Asynchronous-capable DNS client utilities" debian/tmp/usr/bin/$$i > debian/$$i.1; \
	done

## adns 1.6.0

=== debian/changelog ===
adns (1.6.0-2) unstable; urgency=medium

  * Don't ignore make clean failures.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 Aug 2020 22:25:53 +0200

adns (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * New co-maintainer.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 Aug 2020 21:57:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Uploaders: Magnus Holmgren <holmgren@debian.org>
 Build-Depends: debhelper (>= 7), netbase, m4, lynx, help2man
 Standards-Version: 3.8.0
 Homepage: http://www.chiark.greenend.org.uk/~ian/adns/

=== debian/watch ===
version=4
https://www.chiark.greenend.org.uk/~ian/adns/ftp/ adns-?(\d\S*)\.tar\.gz

## adns 1.6.1

=== debian/changelog ===
adns (1.6.1-1) unstable; urgency=medium

  * New upstream version.  Closes: #1028112, #1065725.
  * Fix d/shlibs.local for t64.  Closes: #1061866.
    [Patch from Matthias Klose]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 05 May 2024 23:11:24 +0100

adns (1.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061866

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:10:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Uploaders: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 7), netbase, m4, lynx, help2man
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 7), netbase, m4, lynx, help2man
 Standards-Version: 3.8.0
 Homepage: http://www.chiark.greenend.org.uk/~ian/adns/
 
 Package: libadns1-dev
 Section: libdevel
 Architecture: any
-Depends: libadns1 (= ${binary:Version}), libc6-dev, ${misc:Depends}
+Depends: libadns1t64 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Conflicts: libadns0
 Description: Asynchronous-capable DNS client library (development)
  adns is a resolver library for C (and C++) programs.  In contrast
@@ -36,7 +36,10 @@
  This package contains useful utilities for IP address resolving,
  fast bulk logfile processing, and testing.
 
-Package: libadns1
+Package: libadns1t64
+Provides: ${t64:Provides}
+Replaces: libadns1
+Breaks: libadns1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -54,7 +57,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libadns1 (= ${binary:Version}), ${misc:Depends}
+Depends: libadns1t64 (= ${binary:Version}), ${misc:Depends}
 Description: Asynchronous-capable DNS client library (debugging symbols)
  adns is a resolver library for C (and C++) programs.  In contrast
  with the existing interfaces, gethostbyname et al and libresolv, it
@@ -62,5 +65,5 @@
  convenient interface which doesn't require the application to handle
  any DNS data formats.  Many queries can be handled simultaneously.
  .
- This package contains the debugging symbols associated with libadns1,
+ This package contains the debugging symbols associated with libadns1t64,
  for debugging adns and programs that use it.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f regress/output-*
 	rm -f debian/*.1
